#ifndef _ICON_VIEW_H_
#define _ICON_VIEW_H_

class IconView : public BView
{
public:
	IconView(BRect, BBitmap*, BBitmap*, BBitmap*, char*);
	~IconView();
	
	virtual void Draw(BRect updateRect);
	virtual void MouseDown(BPoint);
	virtual void MouseUp(BPoint);
	virtual void MouseMoved(BPoint, uint32, const BMessage*);
	
private:
	BBitmap* normal_state, * over_state, * down_state, * switcher;
	char* signature;
};
#endif //_ICON_VIEW_H_