#include <Application.h>
#include "LaunchBar.h"

int main(void)
{
	LaunchBar* application = new LaunchBar();
	application -> Run();
	
	delete application;
	return true;
}

LaunchBar::LaunchBar()
	:SpLocaleApp("application/x-vnd.LaunchBar.DreamFactory")
{

	window_app = new LaunchBarWindow();

}

void LaunchBar::MessageReceived(BMessage * pMessage)
{
	switch(pMessage->what)
	{
		case MSG_LANGUAGE_CHANGED:
		{
			BRect RectFrame = window_app->Frame();
			window_app->Lock();
			window_app->Quit();
			window_app = new LaunchBarWindow();
			window_app->MoveTo(RectFrame.LeftTop());
			break;
		}
		
		case B_RELOAD_APP :
		{
			BRect RectFrame = window_app->Frame();
			window_app->Lock();
			window_app->Quit();
			window_app = new LaunchBarWindow();
			window_app->MoveTo(RectFrame.LeftTop());
			break;
		}
		
		default:
		{
			SpLocaleApp::MessageReceived(pMessage);
			break;
		}
	}
}

LaunchBar::~LaunchBar()
{

}