#ifndef _LAUNCH_BAR_VIEW_H_
#define _LAUNCH_BAR_VIEW_H_

#include <Bitmap.h>
#include <File.h>
#include <AppFileInfo.h>
#include "IconView.h"

enum
{
	B_RELOAD_APP = 0
};

class LaunchBarView : public BControl
{
public:
	LaunchBarView(BRect, uint32 , uint32, char* adresses[], int, char*);
	~LaunchBarView();
	
	virtual void Draw(BRect updateRect);
	virtual void MouseDown(BPoint);
	virtual void MouseUp(BPoint);
	virtual void MouseMoved(BPoint, uint32, const BMessage*);
	virtual void AttachedToWindow();

private:
	char signatures[30][100];
	uint32 right, bottom, margin;
	IconView* test_view[13];
	BBitmap * button_bitmaps[3], * back, * icon;
	bool isOnClick;
	virtual void ShowContextMenu(BPoint);
	virtual void ConstructIcons(char* paths[], int, char*);
	virtual void SetAppBitmap(char*, BRect);
	BPoint wherePoint, goPoint;
	BPopUpMenu* context_menu;
	BMenuItem* quit_item, * reload_item;
	off_t* size_1, * size_2, * size_3, * size_bkg;
	BFile* app_file;
	struct image_type
	{
		int width;
		int height;
	};
	image_type background;
};

#endif //_LAUNCH_BAR_VIEW_H_