#ifndef _LAUNCH_BAR_WINDOW_H_
#define _LAUNCH_BAR_WINDOW_H_

#include <Control.h>
#include <Screen.h>
#include <Bitmap.h>
#include "LaunchBarView.h"

class LaunchBarWindow : public BWindow
{
public:
	LaunchBarWindow();
	~LaunchBarWindow();
		
private:
	virtual void GetDesktopBorders();
	virtual int ReadConfigScript();
	char* adresses[30], * text_buffer, bar_type[20];
	BScreen* current_screen;
	display_mode mode;
	uint32 right, bottom, num_add_x, num_add_y;
	int num_sign;
	LaunchBarView* view_app;
};
#endif //_LAUNCH_BAR_WINDOW_H_